// Generated by update_juce_colours.rb on 2023-08-12
// This file collects ColourIds from the JUCE GUI module by parsing the C++ files.
#pragma once
#include <juce_gui_basics/juce_gui_basics.h>

namespace melatonin::colors
{

    struct ColourIdMapping
    {
        int value;
        const char* name;
    };

    constexpr ColourIdMapping colourIdNames[] =
    {
        { 0x1004010, "textColourId" }, // juce_DrawableButton.h:158 The colour to use for the button's text label.
        { 0x1004013, "textColourOnId" }, // juce_DrawableButton.h:159 The colour to use for the button's text when the button's toggle state is "on".
        { 0x1004011, "backgroundColourId" }, // juce_DrawableButton.h:161 The colour used to fill the button's background (when
        { 0x1004012, "backgroundOnColourId" }, // juce_DrawableButton.h:165 The colour used to fill the button's background (when
        { 0x1001f00, "textColourId" }, // juce_HyperlinkButton.h:78 The colour to use for the URL text.
        { 0x1000100, "buttonColourId" }, // juce_TextButton.h:73 The colour used to fill the button shape (when the button is toggled
        { 0x1000101, "buttonOnColourId" }, // juce_TextButton.h:76 The colour used to fill the button shape (when the button is toggled
        { 0x1000102, "textColourOffId" }, // juce_TextButton.h:79 The colour to use for the button's text when the button's toggle state is "off".
        { 0x1000103, "textColourOnId" }, // juce_TextButton.h:80 The colour to use for the button's text.when the button's toggle state is "on".
        { 0x1006501, "textColourId" }, // juce_ToggleButton.h:74 The colour to use for the button's text.
        { 0x1006502, "tickColourId" }, // juce_ToggleButton.h:75 The colour to use for the tick mark.
        { 0x1006503, "tickDisabledColourId" }, // juce_ToggleButton.h:76 The colour to use for the disabled tick mark and/or outline.
        { 0x1000540, "highlightColourId" }, // juce_DirectoryContentsDisplayComponent.h:95 The colour to use to fill a highlighted row of the list.
        { 0x1000541, "textColourId" }, // juce_DirectoryContentsDisplayComponent.h:96 The colour for the text.
        { 0x1000542, "highlightedTextColourId" }, // juce_DirectoryContentsDisplayComponent.h:97 The colour with which to draw the text in highlighted sections.
        { 0x1000640, "currentPathBoxBackgroundColourId" }, // juce_FileBrowserComponent.h:225 The colour to use to fill the background of the current path ComboBox.
        { 0x1000641, "currentPathBoxTextColourId" }, // juce_FileBrowserComponent.h:226 The colour to use for the text of the current path ComboBox.
        { 0x1000642, "currentPathBoxArrowColourId" }, // juce_FileBrowserComponent.h:227 The colour to use to draw the arrow of the current path ComboBox.
        { 0x1000643, "filenameBoxBackgroundColourId" }, // juce_FileBrowserComponent.h:228 The colour to use to fill the background of the filename TextEditor.
        { 0x1000644, "filenameBoxTextColourId" }, // juce_FileBrowserComponent.h:229 The colour to use for the text of the filename TextEditor.
        { 0x1000850, "titleTextColourId" }, // juce_FileChooserDialogBox.h:142 The colour to use to draw the box's title.
        { 0x1004100, "backgroundColourId" }, // juce_FileSearchPathListComponent.h:70 The background colour to fill the component with.
        { 0x1000204, "caretColourId" }, // juce_CaretComponent.h:65 The colour with which to draw the caret.
        { 0x1005400, "outlineColourId" }, // juce_GroupComponent.h:80 The colour to use for drawing the line around the edge.
        { 0x1005410, "textColourId" }, // juce_GroupComponent.h:81 The colour to use to draw the text label.
        { 0x1000300, "backgroundColourId" }, // juce_ScrollBar.h:294 The background colour of the scrollbar.
        { 0x1000400, "thumbColourId" }, // juce_ScrollBar.h:295 A base colour to use for the thumb. The look and feel will probably use variations on this colour.
        { 0x1000401, "trackColourId" }, // juce_ScrollBar.h:296 A base colour to use for the slot area of the bar. The look and feel will probably use variations on this colour.
        { 0x100f001, "backgroundColour" }, // juce_SidePanel.h:170 
        { 0x100f002, "titleTextColour" }, // juce_SidePanel.h:171 
        { 0x100f003, "shadowBaseColour" }, // juce_SidePanel.h:172 
        { 0x100f004, "dismissButtonNormalColour" }, // juce_SidePanel.h:173 
        { 0x100f005, "dismissButtonOverColour" }, // juce_SidePanel.h:174 
        { 0x100f006, "dismissButtonDownColour" }, // juce_SidePanel.h:175 
        { 0x1005812, "tabOutlineColourId" }, // juce_TabbedButtonBar.h:296 The colour to use to draw an outline around the tabs.
        { 0x1005813, "tabTextColourId" }, // juce_TabbedButtonBar.h:297 The colour to use to draw the tab names. If this isn't specified,
        { 0x1005814, "frontOutlineColourId" }, // juce_TabbedButtonBar.h:299 The colour to use to draw an outline around the currently-selected tab.
        { 0x1005815, "frontTextColourId" }, // juce_TabbedButtonBar.h:300 The colour to use to draw the currently-selected tab name. If
        { 0x1005800, "backgroundColourId" }, // juce_TabbedComponent.h:188 The colour to fill the background behind the tabs.
        { 0x1005801, "outlineColourId" }, // juce_TabbedComponent.h:189 The colour to use to draw an outline around the content.
        { 0x1000700, "backgroundColourId" }, // juce_PopupMenu.h:760 The colour to fill the menu's background with.
        { 0x1000600, "textColourId" }, // juce_PopupMenu.h:761 The colour for normal menu item text, (unless the
        { 0x1000601, "headerTextColourId" }, // juce_PopupMenu.h:763 The colour for section header item text (see the
        { 0x1000900, "highlightedBackgroundColourId" }, // juce_PopupMenu.h:765 The colour to fill the background of the currently
        { 0x1000800, "highlightedTextColourId" }, // juce_PopupMenu.h:767 The colour to use for the text of the currently
        { 0x1000af0, "backgroundColourId" }, // juce_BubbleComponent.h:142 A background colour to fill the bubble with.
        { 0x1000af1, "outlineColourId" }, // juce_BubbleComponent.h:143 The colour to use for an outline around the bubble.
        { 0x1000440, "lassoFillColourId" }, // juce_LassoComponent.h:196 The colour to fill the lasso rectangle with.
        { 0x1000441, "lassoOutlineColourId" }, // juce_LassoComponent.h:197 The colour to draw the outline with.
        { 0x100e801, "backgroundColourId" }, // juce_BooleanPropertyComponent.h:92 The colour to fill the background of the button area.
        { 0x100e803, "outlineColourId" }, // juce_BooleanPropertyComponent.h:93 The colour to use to draw an outline around the text area.
        { 0x1008300, "backgroundColourId" }, // juce_PropertyComponent.h:117 The background colour to fill the component with.
        { 0x1008301, "labelTextColourId" }, // juce_PropertyComponent.h:118 The colour for the property's label text.
        { 0x100e401, "backgroundColourId" }, // juce_TextPropertyComponent.h:121 The colour to fill the background of the text area.
        { 0x100e402, "textColourId" }, // juce_TextPropertyComponent.h:122 The colour to use for the editable text.
        { 0x100e403, "outlineColourId" }, // juce_TextPropertyComponent.h:123 The colour to use to draw an outline around the text area.
        { 0x1000b00, "backgroundColourId" }, // juce_ComboBox.h:356 The background colour to fill the box with.
        { 0x1000a00, "textColourId" }, // juce_ComboBox.h:357 The colour for the text in the box.
        { 0x1000c00, "outlineColourId" }, // juce_ComboBox.h:358 The colour for an outline around the box.
        { 0x1000d00, "buttonColourId" }, // juce_ComboBox.h:359 The base colour for the button (a LookAndFeel class will probably use variations on this).
        { 0x1000e00, "arrowColourId" }, // juce_ComboBox.h:360 The colour for the arrow shape that pops up the menu
        { 0x1000f00, "focusedOutlineColourId" }, // juce_ComboBox.h:361 The colour that will be used to draw a box around the edge of the component when it has focus.
        { 0x1000280, "backgroundColourId" }, // juce_Label.h:106 The background colour to fill the label with.
        { 0x1000281, "textColourId" }, // juce_Label.h:107 The colour for the text.
        { 0x1000282, "outlineColourId" }, // juce_Label.h:108 An optional colour to use to draw a border around the label.
        { 0x1000283, "backgroundWhenEditingColourId" }, // juce_Label.h:110 The background colour when the label is being edited.
        { 0x1000284, "textWhenEditingColourId" }, // juce_Label.h:111 The colour for the text when the label is being edited.
        { 0x1000285, "outlineWhenEditingColourId" }, // juce_Label.h:112 An optional border colour when the label is being edited.
        { 0x1002800, "backgroundColourId" }, // juce_ListBox.h:504 The background colour to fill the list with.
        { 0x1002810, "outlineColourId" }, // juce_ListBox.h:506 An optional colour to use to draw a border around the list.
        { 0x1002820, "textColourId" }, // juce_ListBox.h:508 The preferred colour to use for drawing text in the listbox.
        { 0x1001900, "backgroundColourId" }, // juce_ProgressBar.h:144 The background colour, behind the bar.
        { 0x1001a00, "foregroundColourId" }, // juce_ProgressBar.h:145 The colour to use to draw the bar itself. LookAndFeel
        { 0x1001200, "backgroundColourId" }, // juce_Slider.h:869 A colour to use to fill the slider's background.
        { 0x1001300, "thumbColourId" }, // juce_Slider.h:870 The colour to draw the thumb with. It's up to the look
        { 0x1001310, "trackColourId" }, // juce_Slider.h:872 The colour to draw the groove that the thumb moves along.
        { 0x1001311, "rotarySliderFillColourId" }, // juce_Slider.h:873 For rotary sliders, this colour fills the outer curve.
        { 0x1001312, "rotarySliderOutlineColourId" }, // juce_Slider.h:874 For rotary sliders, this colour is used to draw the outer curve's outline.
        { 0x1001400, "textBoxTextColourId" }, // juce_Slider.h:876 The colour for the text in the text-editor box used for editing the value.
        { 0x1001500, "textBoxBackgroundColourId" }, // juce_Slider.h:877 The background colour for the text-editor box.
        { 0x1001600, "textBoxHighlightColourId" }, // juce_Slider.h:878 The text highlight colour for the text-editor box.
        { 0x1001700, "textBoxOutlineColourId" }, // juce_Slider.h:879 The colour to use for a border around the text-editor box.
        { 0x1003800, "textColourId" }, // juce_TableHeaderComponent.h:377 The colour for the text in the header.
        { 0x1003810, "backgroundColourId" }, // juce_TableHeaderComponent.h:378 The colour of the table header background.
        { 0x1003820, "outlineColourId" }, // juce_TableHeaderComponent.h:380 The colour of the table header's outline.
        { 0x1003830, "highlightColourId" }, // juce_TableHeaderComponent.h:381 The colour of the table header background when
        { 0x1000200, "backgroundColourId" }, // juce_TextEditor.h:209 The colour to use for the text component's background - this can be
        { 0x1000201, "textColourId" }, // juce_TextEditor.h:212 The colour that will be used when text is added to the editor. Note
        { 0x1000202, "highlightColourId" }, // juce_TextEditor.h:217 The colour with which to fill the background of highlighted sections of
        { 0x1000203, "highlightedTextColourId" }, // juce_TextEditor.h:221 The colour with which to draw the text in highlighted sections.
        { 0x1000205, "outlineColourId" }, // juce_TextEditor.h:223 If this is non-transparent, it will be used to draw a box around
        { 0x1000206, "focusedOutlineColourId" }, // juce_TextEditor.h:226 If this is non-transparent, it will be used to draw a box around
        { 0x1000207, "shadowColourId" }, // juce_TextEditor.h:229 If this is non-transparent, it'll be used to draw an inner shadow
        { 0x1003200, "backgroundColourId" }, // juce_Toolbar.h:237 A colour to use to fill the toolbar's background. For
        { 0x1003210, "separatorColourId" }, // juce_Toolbar.h:239 A colour to use to draw the separator lines.
        { 0x1003220, "buttonMouseOverBackgroundColourId" }, // juce_Toolbar.h:241 A colour used to paint the background of buttons when the mouse is
        { 0x1003230, "buttonMouseDownBackgroundColourId" }, // juce_Toolbar.h:243 A colour used to paint the background of buttons when the mouse is
        { 0x1003240, "labelTextColourId" }, // juce_Toolbar.h:246 A colour to use for drawing the text under buttons
        { 0x1003250, "editingModeOutlineColourId" }, // juce_Toolbar.h:249 A colour to use for an outline around buttons when
        { 0x1000500, "backgroundColourId" }, // juce_TreeView.h:870 A background colour to fill the component with.
        { 0x1000501, "linesColourId" }, // juce_TreeView.h:871 The colour to draw the lines with.
        { 0x1000502, "dragAndDropIndicatorColourId" }, // juce_TreeView.h:872 The colour to use for the drag-and-drop target position indicator.
        { 0x1000503, "selectedItemBackgroundColourId" }, // juce_TreeView.h:873 The colour to use to fill the background of any selected items.
        { 0x1000504, "oddItemsColourId" }, // juce_TreeView.h:874 The colour to use to fill the background of the odd numbered items.
        { 0x1000505, "evenItemsColourId" }, // juce_TreeView.h:875 The colour to use to fill the background of the even numbered items.
        { 0x1001800, "backgroundColourId" }, // juce_AlertWindow.h:501 The background colour for the window.
        { 0x1001810, "textColourId" }, // juce_AlertWindow.h:502 The colour for the text.
        { 0x1001820, "outlineColourId" }, // juce_AlertWindow.h:503 An optional colour to use to draw a border around the window.
        { 0x1005701, "textColourId" }, // juce_DocumentWindow.h:236 The colour to draw any text with. It's up to the look
        { 0x1005700, "backgroundColourId" }, // juce_ResizableWindow.h:312 A colour to use to fill the window's background.
        { 0x1001b00, "backgroundColourId" }, // juce_TooltipWindow.h:114 The colour to fill the background with.
        { 0x1001c00, "textColourId" }, // juce_TooltipWindow.h:115 The colour to use for the text.
        { 0x1001c10, "outlineColourId" }, // juce_TooltipWindow.h:116 The colour to use to draw an outline around the tooltip.
    };

} // namespace melatonin::colors
